{% extends "base.html" %}
{% block main %}
{% if artist.name %}
<h1>Edition de {{artist.name}}</h1>
{% else %}
<h1>Ajouter un auteur</h1>
{% endif %}
<form role='form' method='POST' action="{{ url_for('save_artist') }}">
	{{ form.hidden_tag() }}
	<!-- champ nom artiste -->
	<div class={% if form.name.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
		{{ form.name.label }}
		{{ form.name(size=50, class_="form-control") }}
	</div>
	<!-- l'artiste ne doit pas deja exister -->
	{% if form.name.errors %}
	<ul class="list-group">
		{% for e in form.name.errors %}
		<li class="list-group-item list-group-item-danger">
			{{e}}
		</li>
		{% endfor %}
	</ul>
	{% endif %}
<!-- bouton enregistrement -->
	<input class="btn btn-default" type="submit" value="Enregistrer">
</form>
{% endblock %}